| Home | Libraries | People | FAQ | More

## Command Line Reference

The following command line options are supported by AutoIndex:

--in=infilename

  Specifies the name of the XML input file to be indexed.

--out=outfilename

  Specifies the name of the new XML file to create.

--scan=source-filename

  Specifies that source-filename should be scanned for terms to index.

--script=script-filename

  Specifies the name of the script file to process.

--no-duplicates

  If a term occurs more than once in the same section, then include only one index entry.

--internal-index

  Specifies that AutoIndex should generate the actual indexes rather than inserting `<indexterm>`s and leaving index generation to the XSL stylesheets.

--no-section-names

  Prevents AutoIndex from using section names as index entries.

--prefix=pathname

  Specifies a directory to apply as a prefix to all relative file paths in the script file.

--index-type=element-name

  Specifies the name of the XML element to enclose internally generated indexes in: defaults to section, but could equally be appendix or chapter or some other block level element that has a formal title.